diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/powerpc/score603e/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/score603e/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/powerpc/score603e/ChangeLog	Thu Mar  6 04:42:33 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/score603e/ChangeLog	Thu Sep  4 13:45:16 2003
***************
*** 1,3 ****
--- 1,28 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* PCI_bus/PCI.h, clock/clock.c, console/85c30.c, console/85c30.h,
+ 	console/console.c, console/consolebsp.h,
+ 	console/consolereserveresources.c, console/tbl85c30.c, include/bsp.h,
+ 	include/coverhd.h, include/gen2.h, include/tod.h, startup/FPGA.c,
+ 	startup/bspclean.c, startup/bspstart.c, startup/genpvec.c,
+ 	startup/setvec.c, startup/vmeintr.c, timer/timer.c, tod/tod.c: URL
+ 	for license changed.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* PCI_bus/PCI.c, PCI_bus/flash.c, PCI_bus/universe.c: Removed incorrect
+ 	statement about copyright assignment.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 445/bsps
+ 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
+ 	trunk.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/powerpc/shared/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/shared/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/powerpc/shared/ChangeLog	Fri Jun 13 12:40:40 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/shared/ChangeLog	Mon Sep 29 16:43:26 2003
***************
*** 1,3 ****
--- 1,91 ----
+ 2003-09-29	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 497/bsps
+ 	* ChangeLog, bootloader/head.S, startup/bspstart.c: Disable code that
+ 	returned to the firmware when the loader starts.
+ 	* startup/sbrk.c: New file.
+ 
+ 2003-09-26	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 496/bsps
+ 	* startup/sbrk.c: New file.
+ 	* startup/bspstart.c: This patch implements 'sbrk'
+ 	for the powerpc-shared BSP to work around what's known as the
+ 	'32Mb problem' in combination with run-time loaded code.
+ 	GCC normally generates (PowerPC) code doing 'short jumps' which
+ 	requires all text segments being in the same 32Mb area of memory.
+ 	However, some run-time loaders use (e.g. heap-) memory violating the
+ 	stated limitation on hardware with more than 32Mb of memory.
+ 	(NOTE: portable loaders are probably not even aware of this
+ 	GCC/CPU specific problem.)
+ 
+ 	This patch implements a simple workaround: At boot time, the system is
+ 	only provided with 32Mb of memory. The user is supposed to load all
+ 	necessary modules prior to that limit being exhausted. Once that
+ 	happens, newlib/malloc end up trying to 'sbrk()' for more memory and
+ 	the implementation provided by this patch will then make the rest of
+ 	the physical memory available.
+ 
+ 2003-09-26  Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 497/bsps
+ 	* bootloader/head.S: Let the bootloader shut down the
+ 	network interface. NOTE: this involves a PPCBug system
+ 	call and will hence fail if other software is used
+ 	to boot. Need to #undef USE_PPCBUG in such cases!
+   
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* bootloader/bootldr.h, bootloader/em86.c, bootloader/em86real.S,
+ 	bootloader/exception.S, bootloader/head.S, bootloader/lib.c,
+ 	bootloader/misc.c, bootloader/mm.c, bootloader/pci.c,
+ 	clock/p_clock.c, console/console.c, console/consoleIo.h,
+ 	console/inch.c, console/keyboard.h, console/polled_io.c,
+ 	include/bsp.h, irq/i8259.c, irq/irq.c, irq/irq.h, irq/irq_asm.S,
+ 	irq/irq_init.c, motorola/motorola.c, motorola/motorola.h,
+ 	openpic/openpic.c, openpic/openpic.h, pci/pci.c, residual/residual.c,
+ 	start/start.S, startup/bspstart.c, vectors/vectors.h,
+ 	vectors/vectors_init.c: URL for license changed.
+ 
+ 2003-08-21	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 456/bsps
+ 	* irq/irq.c: Fix race condition when installing an ISR.
+ 
+ 2003-08-05	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 437/bsps
+ 	* irq/irc.c: calls to bspIo/printk must not use '%i' format which is
+ 	apparently not supported 
+         * pci/pci.c: calls to bspIo/printk must not use '%i' format which is
+ 	apparently not supported 
+ 
+ 2003-07-18	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 288/rtems
+ 	* irq/irq_asm.S, startup/bspstart.c: _ISR_Nest_level is now properly
+ 	maintained and any BSP which does not do so will trip a panic in the
+ 	shared code.
+ 
+ 2003-07-18	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 415/bsps
+ 	* pci/detect_raven_bridge.c, startup/bspstart.c:
+ 	This patch reverts enabling MCP interrupts for the motorola_powerpc
+ 	BSPs. REASON: pci config space scanning (as e.g. done by the DEC
+ 	Ethernet driver) would raise machine check exceptions.
+ 
+ 2003-07-16      Greg Menke <gregory.menke@gsfc.nasa.gov>
+ 
+ 	PR 428/bsps
+ 	PR 432/bsps
+ 	* bootloader/pci.c: Re-instated code that prevents remapping small
+ 	IO regions, which if remapped would cause i8259 registers to move
+ 	out from under the #define'd base addresses.
+ 	* startup/bspstart.c: Reduced BAT2 PCI memory allocation to 256
+ 	megs, I incorrectly had extended it which would cause problems with
+ 	PCI devices that defined prefetchable memory.
+ 	
  2003-06-13	Greg Menke <gregory.menke@gsfc.nasa.gov>
  
  	PR 405/bsps
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/powerpc/support/new_exception_processing/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/support/new_exception_processing/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/powerpc/support/new_exception_processing/ChangeLog	Tue Mar 18 13:22:55 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/support/new_exception_processing/ChangeLog	Thu Sep  4 13:45:21 2003
***************
*** 1,3 ****
--- 1,11 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-18  Till Straumann <strauman@slac.stanford.edu>
  
  	PR 356/bsps
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/powerpc/support/old_exception_processing/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/support/old_exception_processing/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/powerpc/support/old_exception_processing/ChangeLog	Thu Mar  6 04:43:06 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/powerpc/support/old_exception_processing/ChangeLog	Thu Sep  4 13:45:22 2003
***************
*** 1,3 ****
--- 1,11 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu_asm.S: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sh/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sh/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sh/ChangeLog	Thu Mar  6 04:41:31 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sh/ChangeLog	Mon Aug 11 09:36:01 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sh/gensh1/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sh/gensh1/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sh/gensh1/ChangeLog	Fri Jun 13 08:21:20 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sh/gensh1/ChangeLog	Thu Sep  4 13:45:23 2003
***************
*** 1,3 ****
--- 1,18 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/bsp.h, include/coverhd.h, start/start.S, startup/bspclean.c,
+ 	startup/bspstart.c, startup/linkcmds: URL for license changed.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 445/bsps
+ 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
+ 	trunk.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-06-13	Joel Sherrill <joel@OARcorp.com>
  
  	* startup/linkcmds: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sh/gensh2/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sh/gensh2/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sh/gensh2/ChangeLog	Fri Jun 13 08:21:32 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sh/gensh2/ChangeLog	Thu Sep  4 13:45:25 2003
***************
*** 1,3 ****
--- 1,20 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* console/config.c, include/bsp.h, include/coverhd.h, start/start.S,
+ 	start/start.ram, start/start.rom, startup/bspclean.c,
+ 	startup/bspstart.c, startup/hw_init.c, startup/linkcmds,
+ 	startup/linkcmds.ram, startup/linkcmds.rom: URL for license changed.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 445/bsps
+ 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
+ 	trunk.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-06-13	Joel Sherrill <joel@OARcorp.com>
  
  	* startup/linkcmds: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sh/gensh4/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sh/gensh4/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sh/gensh4/ChangeLog	Fri Jun 13 08:21:40 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sh/gensh4/ChangeLog	Thu Sep  4 13:45:27 2003
***************
*** 1,3 ****
--- 1,25 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* console/console.c, hw_init/hw_init.c, include/bsp.h,
+ 	include/coverhd.h, include/sdram.h, start/start.S,
+ 	startup/bspstart.c, startup/linkcmds, startup/linkcmds.rom,
+ 	startup/linkcmds.rom2ram: URL for license changed.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* console/console.c: Removed incorrect statement about copyright
+ 	assignment.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 445/bsps
+ 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
+ 	trunk.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-06-13	Joel Sherrill <joel@OARcorp.com>
  
  	* startup/linkcmds: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sh/shared/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sh/shared/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sh/shared/ChangeLog	Mon Feb  3 17:55:01 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sh/shared/ChangeLog	Thu Sep  4 13:45:29 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* console.c, setvec.c: URL for license changed.
+ 
  2003-02-03	Joel Sherrill <joel@OARcorp.com>
  
  	PR 338/filesystem
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sh/shsim/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sh/shsim/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sh/shsim/ChangeLog	Fri Jun 13 08:21:50 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sh/shsim/ChangeLog	Thu Sep  4 13:45:30 2003
***************
*** 1,3 ****
--- 1,18 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/bsp.h, start/start.S, startup/bspstart.c,
+ 	trap34/console-io.c: URL for license changed.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 445/bsps
+ 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
+ 	trunk.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-06-13	Joel Sherrill <joel@OARcorp.com>
  
  	* startup/linkcmds: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sh/simsh4/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sh/simsh4/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sh/simsh4/ChangeLog	Fri Jun 13 08:22:01 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sh/simsh4/ChangeLog	Thu Sep  4 13:45:31 2003
***************
*** 1,3 ****
--- 1,24 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, console/console.c, include/bsp.h, include/coverhd.h,
+ 	include/ramdisk.h, start/start.S, startup/bspstart.c,
+ 	startup/hw_init.c, startup/linkcmds, startup/linkcmds-le.coff,
+ 	timer/timer.c, tools/runtest: URL for license changed.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 445/bsps
+ 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
+ 	trunk.
+ 
+ 2003-08-14	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* tools/runtest: Add fileio to list of interactive tests.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-06-13	Joel Sherrill <joel@OARcorp.com>
  
  	* console/console.c, startup/linkcmds: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/shared/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/shared/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/shared/ChangeLog	Mon Jun 30 13:31:46 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/shared/ChangeLog	Fri Sep 26 12:33:59 2003
***************
*** 1,3 ****
--- 1,18 ----
+ 2003-09-26	Cedric Aubert <cedric_aubert@yahoo.fr>
+ 
+ 	PR 501/rtems_misc
+ 	* console.c: console_open disables ICANON on non-console port, which
+ 	should be ok for the first open but not for subsequent ones. If you
+ 	open one serial port, you will configure it, when you reopen it you
+ 	will lost the ICANON parameters if you had put it. Should be done by
+ 	console only at first open.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* bootcard.c, bspclean.c, clockdrv_shell.c, console-polled.c,
+ 	console.c, ide_ctrl.c, main.c, sbrk.c, setvec.c, tod.c, tod.h,
+ 	include/coverhd.h: URL for license changed.
+ 
  2003-06-30	Joel Sherrill <joel@OARcorp.com>
  
  	* console-polled.c: Corrected comments in header.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sparc/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sparc/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sparc/ChangeLog	Thu Mar  6 04:42:23 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sparc/ChangeLog	Mon Aug 11 09:37:04 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sparc/erc32/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sparc/erc32/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sparc/erc32/ChangeLog	Thu Mar  6 04:42:14 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sparc/erc32/ChangeLog	Thu Sep  4 13:45:35 2003
***************
*** 1,3 ****
--- 1,20 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, console/console.c, console/consolereserveresources.c,
+ 	console/debugputs.c, include/bsp.h, include/coverhd.h,
+ 	include/erc32.h, startup/erc32mec.c, startup/setvec.c, timer/timer.c:
+ 	URL for license changed.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 445/bsps
+ 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
+ 	trunk.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sparc/erc32/tools/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sparc/erc32/tools/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sparc/erc32/tools/ChangeLog	Thu Mar  6 04:42:16 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sparc/erc32/tools/ChangeLog	Thu Aug 14 08:12:58 2003
***************
*** 1,3 ****
--- 1,11 ----
+ 2003-08-14	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* runtest.in: Add fileio to list of interactive tests.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sparc/leon/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sparc/leon/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sparc/leon/ChangeLog	Thu Mar  6 04:42:19 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sparc/leon/ChangeLog	Thu Sep  4 13:45:37 2003
***************
*** 1,3 ****
--- 1,34 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, console/console.c, console/consolereserveresources.c,
+ 	console/debugputs.c, include/bsp.h, include/coverhd.h,
+ 	include/leon.h, startup/setvec.c, timer/timer.c: URL for license
+ 	changed.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/bsp.h: Removed incorrect statement about copyright
+ 	assignment.
+ 
+ 2003-09-03	Jiri Gaisler <jiri@gaisler.com>
+ 
+ 	PR 477/networking
+ 	* Makefile.am, configure.ac, console/console.c, include/bsp.h,
+ 	startup/setvec.c, wrapup/Makefile.am: Add network support and enable
+ 	custom power down.
+ 	* leon_open_eth/.cvsignore, leon_open_eth/Makefile.am,
+ 	leon_open_eth/leon_open_eth.c: New files.
+ 
+ 2003-08-22	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 445/bsps
+ 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
+ 	trunk.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sparc/leon/tools/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sparc/leon/tools/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sparc/leon/tools/ChangeLog	Thu Mar  6 04:42:21 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/sparc/leon/tools/ChangeLog	Thu Aug 14 08:13:04 2003
***************
*** 1,3 ****
--- 1,11 ----
+ 2003-08-14	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* runtest.in: Add fileio to list of interactive tests.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/sparc/shared/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/sparc/shared/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/sparc/shared/ChangeLog	Fri Nov  1 15:57:52 2002
--- rtems-4.6.0pre5/c/src/lib/libbsp/sparc/shared/ChangeLog	Thu Sep  4 13:45:39 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* bspclean.c, bspstart.c: URL for license changed.
+ 
  2002-11-01	Joel Sherrill <joel@OARcorp.com>
  
  	* gnatcommon.c: Removed warnings.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/unix/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/unix/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/unix/ChangeLog	Thu Mar  6 04:42:11 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/unix/ChangeLog	Mon Aug 11 09:36:52 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/unix/posix/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/unix/posix/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/unix/posix/ChangeLog	Thu Mar  6 04:42:07 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/unix/posix/ChangeLog	Thu Sep  4 13:45:40 2003
***************
*** 1,3 ****
--- 1,15 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/clock.c, console/console.c, include/bsp.h, shmsupp/addrconv.c,
+ 	shmsupp/cause_intr.c, shmsupp/getcfg.c, shmsupp/lock.c,
+ 	shmsupp/mpisr.c, startup/bspclean.c, startup/bspstart.c,
+ 	startup/exit.c, startup/setvec.c, timer/timer.c: URL for license
+ 	changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libbsp/unix/posix/tools/ChangeLog rtems-4.6.0pre5/c/src/lib/libbsp/unix/posix/tools/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libbsp/unix/posix/tools/ChangeLog	Thu Mar  6 04:42:09 2003
--- rtems-4.6.0pre5/c/src/lib/libbsp/unix/posix/tools/ChangeLog	Thu Aug 14 08:13:11 2003
***************
*** 1,3 ****
--- 1,11 ----
+ 2003-08-14	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* runtest.in: Add fileio to list of interactive tests.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/ChangeLog	Thu Mar  6 04:44:29 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/ChangeLog	Thu Sep  4 13:54:13 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* shared/include/cache.h, shared/src/cache_aligned_malloc.c,
+ 	shared/src/cache_manager.c: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/a29k/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/a29k/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/a29k/ChangeLog	Thu Mar  6 04:44:17 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/a29k/ChangeLog	Thu Sep  4 12:32:05 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, timer/timer.c, timer/timerisr.c: Removed incorrect
+ 	statement about copyright assignment.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/hppa1.1/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/hppa1.1/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/hppa1.1/ChangeLog	Thu Mar  6 04:44:10 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/hppa1.1/ChangeLog	Thu Sep  4 13:45:42 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/clock.c, include/semaphore.h, semaphore/semaphore.c,
+ 	timer/timer.c: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/i386/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/i386/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/i386/ChangeLog	Thu Mar  6 04:43:52 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/i386/ChangeLog	Thu Sep  4 13:45:43 2003
***************
*** 1,3 ****
--- 1,12 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* cpu.c, cpu.h, cpuModel.S, cpuModel.h, displayCpu.c, idtr.S, page.c:
+ 	URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/i960/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/i960/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/i960/ChangeLog	Thu Mar  6 04:43:54 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/i960/ChangeLog	Mon Aug 11 09:38:35 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/m68k/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/m68k/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/m68k/ChangeLog	Thu Mar  6 04:43:56 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/m68k/ChangeLog	Thu Sep 18 03:51:55 2003
***************
*** 1,3 ****
--- 1,16 ----
+ 2003-09-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* shared/cache/cache.c (m68030): fix prototype mismatch of
+ 	_CPU_cache_flush_entire_data.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* shared/misc/m68kidle.c: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/m68k/mcf5206/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/m68k/mcf5206/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/m68k/mcf5206/ChangeLog	Thu Mar  6 04:43:58 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/m68k/mcf5206/ChangeLog	Thu Sep  4 13:45:44 2003
***************
*** 1,3 ****
--- 1,18 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, console/mcfuart.c, include/mcf5206e.h,
+ 	include/mcfmbus.h, include/mcfuart.h, mbus/mcfmbus.c, timer/timer.c,
+ 	timer/timerisr.S: URL for license changed.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, console/mcfuart.c, timer/timer.c, timer/timerisr.S:
+ 	Removed incorrect statement about copyright assignment.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/mips/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/mips/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/mips/ChangeLog	Thu Mar  6 04:44:26 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/mips/ChangeLog	Thu Sep  4 13:45:49 2003
***************
*** 1,3 ****
--- 1,15 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, mongoosev/duart/mg5uart.c, mongoosev/duart/mg5uart.h,
+ 	mongoosev/duart/mg5uart_reg.c, mongoosev/include/mongoose-v.h,
+ 	mongoosev/vectorisrs/maxvectors.c, mongoosev/vectorisrs/vectorisrs.c,
+ 	r46xx/vectorisrs/maxvectors.c, shared/interrupts/isr_entries.S,
+ 	timer/timer.c, tx39/vectorisrs/maxvectors.c: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/mips64orion/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/mips64orion/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/mips64orion/ChangeLog	Thu Mar  6 04:44:13 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/mips64orion/ChangeLog	Thu Sep  4 13:45:50 2003
***************
*** 1,3 ****
--- 1,11 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, timer/timer.c: URL for license changed.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/powerpc/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/powerpc/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/powerpc/ChangeLog	Tue Mar 25 12:36:34 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/powerpc/ChangeLog	Thu Sep  4 13:45:53 2003
***************
*** 1,3 ****
--- 1,43 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* mpc6xx/clock/c_clock.c, mpc6xx/clock/c_clock.h,
+ 	mpc6xx/exceptions/raw_exception.c, mpc6xx/exceptions/raw_exception.h,
+ 	mpc6xx/mmu/bat.c, mpc6xx/mmu/bat.h, mpc6xx/mmu/mmuAsm.S,
+ 	mpc6xx/timer/timer.c, mpc8260/clock/clock.c,
+ 	mpc8260/console-generic/console-generic.c, mpc8260/cpm/brg.c,
+ 	mpc8260/exceptions/raw_exception.c,
+ 	mpc8260/exceptions/raw_exception.h, mpc8260/include/cpm.h,
+ 	mpc8260/include/mmu.h, mpc8260/mmu/mmu.c, mpc8260/timer/timer.c,
+ 	mpc8xx/clock/clock.c, mpc8xx/console-generic/console-generic.c,
+ 	mpc8xx/exceptions/raw_exception.c, mpc8xx/exceptions/raw_exception.h,
+ 	mpc8xx/include/cpm.h, mpc8xx/include/mmu.h, mpc8xx/mmu/mmu.c,
+ 	mpc8xx/timer/timer.c, ppc403/clock/clock.c,
+ 	ppc403/console/console.c.polled, ppc403/timer/timer.c,
+ 	rtems/powerpc/debugmod.h, shared/include/byteorder.h,
+ 	shared/include/cpuIdent.c, shared/include/cpuIdent.h,
+ 	shared/include/io.h, shared/include/mmu.h, shared/include/page.h,
+ 	shared/include/pgtable.h, shared/include/spr.h: URL for license
+ 	changed.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* mpc505/timer/timer.c, mpc8260/clock/clock.c,
+ 	ppc403/console/console.c, ppc403/console/console405.c: Removed
+ 	incorrect statement about copyright assignment.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
+ 2003-07-08	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 416/bsps
+ 	* ppc403/ictrl/ictrl.c (ictrl_isr): We acknolwegde the interrupt in
+ 	interrupt controller (clr_exisr(mask)) before calling the interrupt
+ 	handler that will acnowledge the interrupt source. This results in
+ 	the interrupt beeing seen a second time by the interrupt controller.
+ 	Reported and fixed by El Kolli Yacine <yacine.elkolli@crf.canon.fr>.
+ 
  2003-03-25	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
  
  	PR 368/filesystems
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/sh/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/sh/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/sh/ChangeLog	Thu Mar  6 04:44:06 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/sh/ChangeLog	Mon Aug 11 09:38:46 2003
***************
*** 1,3 ****
--- 1,7 ----
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
diff -N -P -r -c rtems-4.6.0pre4/c/src/lib/libcpu/sh/sh7032/ChangeLog rtems-4.6.0pre5/c/src/lib/libcpu/sh/sh7032/ChangeLog
*** rtems-4.6.0pre4/c/src/lib/libcpu/sh/sh7032/ChangeLog	Thu Mar  6 04:44:03 2003
--- rtems-4.6.0pre5/c/src/lib/libcpu/sh/sh7032/ChangeLog	Thu Sep  4 13:45:55 2003
***************
*** 1,3 ****
--- 1,19 ----
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* clock/ckinit.c, delay/delay.c, include/iosh7032.h,
+ 	include/ispsh7032.h, include/sci.h, include/sh7_pfc.h,
+ 	include/sh7_sci.h, sci/sci.c, score/cpu_asm.c, score/ispsh7032.c,
+ 	timer/timer.c: URL for license changed.
+ 
+ 2003-09-04	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* score/cpu_asm.c: Removed incorrect statement about copyright
+ 	assignment.
+ 
+ 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+ 
+ 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
+ 
  2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Remove AC_CONFIG_AUX_DIR.
